package cn.com.qmth.examcloud.core.oe.task.service.bean;

import java.io.Serializable;

public class FaceApiParam implements Serializable {

    private static final long serialVersionUID = 2983309896884898091L;

    /**
     * 人脸比对 - 使用百度API还是Face++API【默认：true】
     */
    private boolean useBaiduApi = true;

    /**
     * 百度人脸比对 - 使用离线版还是在线版【默认：true】
     */
    private boolean useLocalBaiduApiForFaceCompare = true;

    /**
     * 百度真实性检测 - 使用离线版还是在线版【默认：false】
     */
    private boolean useLocalBaiduApiForFaceLiveness = false;

    public boolean isUseBaiduApi() {
        return useBaiduApi;
    }

    public void setUseBaiduApi(boolean useBaiduApi) {
        this.useBaiduApi = useBaiduApi;
    }

    public boolean isUseLocalBaiduApiForFaceCompare() {
        return useLocalBaiduApiForFaceCompare;
    }

    public void setUseLocalBaiduApiForFaceCompare(boolean useLocalBaiduApiForFaceCompare) {
        this.useLocalBaiduApiForFaceCompare = useLocalBaiduApiForFaceCompare;
    }

    public boolean isUseLocalBaiduApiForFaceLiveness() {
        return useLocalBaiduApiForFaceLiveness;
    }

    public void setUseLocalBaiduApiForFaceLiveness(boolean useLocalBaiduApiForFaceLiveness) {
        this.useLocalBaiduApiForFaceLiveness = useLocalBaiduApiForFaceLiveness;
    }

}
